> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Vue d’ensemble des listes épinglées

> Commencez avec les points de terminaison des listes épinglées

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Les endpoints de listes épinglées vous permettent de consulter les listes épinglées d’un utilisateur et de gérer celles qui sont épinglées.

<Note>
  **Prérequis**

  Avant de commencer, vous aurez besoin des éléments suivants :

  * D’un [compte développeur](https://developer.x.com/en/portal/petition/essential/basic-info) avec une App approuvée
  * D’un jeton d’accès utilisateur (User Access Token) (OAuth 1.0a ou OAuth 2.0 PKCE)
</Note>

***

<div id="available-endpoints">
  ## Points de terminaison disponibles
</div>

<CardGroup cols={2}>
  <Card title="Recherche de Listes épinglées" icon="thumbtack" href="/fr/x-api/lists/pinned-lists/quickstart/pinned-list-lookup">
    Récupérer vos Listes épinglées
  </Card>

  <Card title="Gérer les Listes épinglées" icon="pin" href="/fr/x-api/lists/pinned-lists/quickstart/manage-pinned-lists">
    Épingler et désépingler des Listes
  </Card>
</CardGroup>

***

<div id="authentication">
  ## Authentification
</div>

| Opération                       | Authentification             |
| :------------------------------ | :--------------------------- |
| Rechercher les listes épinglées | OAuth 1.0a ou OAuth 2.0 PKCE |
| Épingler/désépingler des listes | OAuth 1.0a ou OAuth 2.0 PKCE |

<Warning>
  Les opérations de consultation et de gestion requièrent une authentification en contexte utilisateur. L’authentification App-only (Jeton Bearer) n’est pas prise en charge.
</Warning>

***

<div id="quick-example">
  ## Exemple rapide
</div>

<CodeGroup dropdown>
  ```bash cURL theme={null}
  # Récupérer les listes épinglées
  curl "https://api.x.com/2/users/2244994945/pinned_lists" \
    -H "Authorization: Bearer $USER_ACCESS_TOKEN"
  ```

  ```python Python SDK theme={null}
  from xdk import Client

  client = Client(bearer_token="YOUR_USER_ACCESS_TOKEN")

  # Récupérer les listes épinglées
  response = client.lists.get_pinned("2244994945")

  for lst in response.data:
      print(f"{lst.name}")
  ```

  ```javascript JavaScript SDK theme={null}
  import { Client } from "@xdevplatform/xdk";

  const client = new Client({ accessToken: "YOUR_USER_ACCESS_TOKEN" });

  // Récupérer les listes épinglées
  const response = await client.lists.getPinned("2244994945");

  response.data?.forEach((lst) => {
    console.log(lst.name);
  });
  ```
</CodeGroup>

***

<div id="next-steps">
  ## Prochaines étapes
</div>

<CardGroup cols={2}>
  <Card title="Recherche de listes" icon="list" href="/fr/x-api/lists/list-lookup/quickstart">
    Obtenir les détails d’une liste
  </Card>

  <Card title="Gérer les listes" icon="pen" href="/fr/x-api/lists/manage-lists/quickstart">
    Créer et mettre à jour des listes
  </Card>
</CardGroup>
